> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# Employment Industry

GET https://sandbox.currenciesdirect.com/v1/references/employment-industry

Get a list of supported employment industries. To be used in [Register a Customer](/api-reference/customers/api-integration/customers/register-customer#request.body.contacts.industry), Add Contact or Update Contact journey.

**Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)


Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/references/get-employment-industries

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Response

### 200

The response will contain array of employment industries.

- `employment_industries` (list of string, required) — Array of supported employment industries.

## Errors

### 401 Unauthorized Error

Unauthorized - invalid authorization header

- `code` (string, optional)
- `description` (string, optional)

### 500 Internal Server Error

Internal server error

- `code` (string, optional)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "employment_industries": [
    "Accounting",
    "Administrative & Office Support",
    "Aerospace and Aviation",
    "Agriculture and Agribusiness",
    "Agriculture, Forestry, and Fishing",
    "Armed Forces and Defence",
    "Arts, Sports, and Creative",
    "Call Centre & Customer Services",
    "Charity and Non-profit",
    "Construction and Engineering",
    "Consulting and Professional Services",
    "Education",
    "Energy, Green Technology & Utility Services",
    "Entertainment and Media",
    "Environmental Services",
    "Finance and Insurance",
    "Government and Public Service",
    "Healthcare and Social Services",
    "Hospitality and Tourism",
    "Human Resources & Recruitment",
    "Information and Communication",
    "Legal and Regulatory Services",
    "Manufacturing and Production",
    "Marketing and Advertising",
    "Mining & Geology",
    "Motor Trade, Automotive and Manufacturing",
    "Non-Governmental Organisations (NGOs)",
    "Pharmaceuticals and Biotechnology",
    "Property and Real Estate",
    "Retail",
    "Scientific and Technical",
    "Technology and Software",
    "Telecommunications",
    "Trades & Services",
    "Transport and Logistics",
    "Wholesale and Distribution"
  ]
}
```

**SDK Code**

```shell cURL
curl -X GET https://api.redpincompany.com/v1/references/employment-industry \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

```

```python Example employment industries response
import requests

url = "https://sandbox.currenciesdirect.com/v1/references/employment-industry"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example employment industries response
const url = 'https://sandbox.currenciesdirect.com/v1/references/employment-industry';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example employment industries response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/references/employment-industry"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example employment industries response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/references/employment-industry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example employment industries response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.currenciesdirect.com/v1/references/employment-industry")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example employment industries response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.currenciesdirect.com/v1/references/employment-industry', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example employment industries response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/references/employment-industry");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example employment industries response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/references/employment-industry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```